Skip to main content
GET
/
contract
/
v1
/
contract-terminated
/
{contractId}
Get contract terminated details
curl --request GET \
  --url https://api-{region}.sesametime.com/contract/v1/contract-terminated/{contractId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "contractEmployeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "contractEndDate": "2022-12-13",
    "terminationReason": "voluntary leave",
    "terminationType": "voluntary",
    "comment": "found another job"
  },
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Path Parameters

contractId
string<uuid>
required

Contract ID

Response

200 - application/json

Contract terminated details

data
object
meta
object